using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HesabdariSubSys
{
    public partial class frmLogin : Form
    {
        public frmLogin()
        {
            InitializeComponent();
        }

        private void Btn_Login_Click(object sender, EventArgs e)
        {
            if (Txt_UserName.Text.Trim() == "" || Txt_PawssWord.Text.Trim() == "")
            {
                MessageBox.Show("ورود مقادیر فیلدهای متنی الزامی می باشد");
                return;
            }
            LSC_HesabdariSubSysDataContext db = new LSC_HesabdariSubSysDataContext();
            try
            {
                tblUser tblUsr = db.tblUsers.Single(n => n.UserName.Trim() == Txt_UserName.Text.Trim() && n.UsersPassword.Trim() == Txt_PawssWord.Text.Trim());
                if (tblUsr.UserName.Trim() != "")
                {
                    Txt_UserName.Clear();
                    Txt_PawssWord.Clear();
                    this.Visible = false;
                    HesMDI frm = new HesMDI();
                    frm.ShowDialog();
                }
                else
                {
                    MessageBox.Show("نام کاربری یا کلمه عبور صحیح نمی باشد");
                    return;
                }
            }
            catch
            {
                MessageBox.Show("نام کاربری یا کلمه عبور صحیح نمی باشد");
                return;
            }
        }
    }
}
